LLVM: lldb::SBPlatformShellCommand Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | Friends | List of all members
lldb::SBPlatformShellCommand Class Reference

`#include <SBPlatform.h>`

Collaboration diagram for lldb::SBPlatformShellCommand:
[legend]

## Public Member Functions
| SBPlatformShellCommand (const char *shell_command)
| SBPlatformShellCommand (const SBPlatformShellCommand &rhs)
| ~SBPlatformShellCommand ()
void | Clear ()
const char * | GetCommand ()
void | SetCommand (const char *shell_command)
const char * | GetWorkingDirectory ()
void | SetWorkingDirectory (const char *path)
uint32_t | GetTimeoutSeconds ()
void | SetTimeoutSeconds (uint32_t sec)
int | GetSignal ()
int | GetStatus ()
const char * | GetOutput ()

## Protected Attributes
PlatformShellCommand * | m_opaque_ptr

## Friends
class | SBPlatform

## Detailed Description

Definition at line 53 of file SBPlatform.h.

## Constructor & Destructor Documentation

lldb::SBPlatformShellCommand::SBPlatformShellCommand | ( | const char * | shell_command | ) |

lldb::SBPlatformShellCommand::SBPlatformShellCommand | ( | const SBPlatformShellCommand & | rhs | ) |

lldb::SBPlatformShellCommand::~SBPlatformShellCommand | ( |  | ) |

## Member Function Documentation

void lldb::SBPlatformShellCommand::Clear | ( |  | ) |

const char* lldb::SBPlatformShellCommand::GetCommand | ( |  | ) |

const char* lldb::SBPlatformShellCommand::GetOutput | ( |  | ) |

int lldb::SBPlatformShellCommand::GetSignal | ( |  | ) |

int lldb::SBPlatformShellCommand::GetStatus | ( |  | ) |

uint32_t lldb::SBPlatformShellCommand::GetTimeoutSeconds | ( |  | ) |

const char* lldb::SBPlatformShellCommand::GetWorkingDirectory | ( |  | ) |

void lldb::SBPlatformShellCommand::SetCommand | ( | const char * | shell_command | ) |

void lldb::SBPlatformShellCommand::SetTimeoutSeconds | ( | uint32_t | sec | ) |

void lldb::SBPlatformShellCommand::SetWorkingDirectory | ( | const char * | path | ) |

## Friends And Related Function Documentation

friend class SBPlatform
| friend

Definition at line 82 of file SBPlatform.h.

## Member Data Documentation

PlatformShellCommand* lldb::SBPlatformShellCommand::m_opaque_ptr
| protected

Definition at line 84 of file SBPlatform.h.

The documentation for this class was generated from the following file:

- SBPlatform.h